
From: Herbert Xu <herbert@gondor.apana.org.au>

> net/ipv4/netfilter/ipt_hashlimit.c:96: warning: type defaults to `int' in declaration of `DECLARE_LOCK'
> net/ipv4/netfilter/ipt_hashlimit.c:96: warning: parameter names (without types) in function declaration
> 

Signed-off-by: Herbert Xu <herbert@gondor.apana.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/net/ipv4/netfilter/ipt_hashlimit.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN net/ipv4/netfilter/ipt_hashlimit.c~netfilter-include-fix net/ipv4/netfilter/ipt_hashlimit.c
--- 25/net/ipv4/netfilter/ipt_hashlimit.c~netfilter-include-fix	Fri Mar 11 15:28:26 2005
+++ 25-akpm/net/ipv4/netfilter/ipt_hashlimit.c	Fri Mar 11 15:28:26 2005
@@ -37,6 +37,7 @@
 
 #include <linux/netfilter_ipv4/ip_tables.h>
 #include <linux/netfilter_ipv4/ipt_hashlimit.h>
+#include <linux/netfilter_ipv4/lockhelp.h>
 
 /* FIXME: this is just for IP_NF_ASSERRT */
 #include <linux/netfilter_ipv4/ip_conntrack.h>
_
